Package net.shibboleth.profile.config.logic

# Class DetailedErrorsPredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate
net.shibboleth.profile.config.logic.DetailedErrorsPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class DetailedErrorsPredicate extends AbstractRelyingPartyPredicate
Predicate to determine whether a relying party should see detailed error information.

## Constructor Summary

Constructors
Constructor
Description
`DetailedErrorsPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### DetailedErrorsPredicate

public DetailedErrorsPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)